javax.validation

## Interface ValidatorContext

-     public interface ValidatorContext

  Represents the context that is used to create `Validator` instances. A client may use methods of the `ValidatorContext` returned by `ValidatorFactory.usingContext()` to customize the context used to create `Validator` instances (for instance establish different message interpolators or traversable resolvers).
  Author:
    Emmanuel Bernard, Gunnar Morling

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidatorContext` | `constraintValidatorFactory(ConstraintValidatorFactory factory)` Defines the constraint validator factory implementation used by the `Validator`.
    `Validator` | `getValidator()` Returns an initialized `Validator` instance respecting the defined state.
    `ValidatorContext` | `messageInterpolator(MessageInterpolator messageInterpolator)` Defines the message interpolator implementation used by the `Validator`.
    `ValidatorContext` | `parameterNameProvider(ParameterNameProvider parameterNameProvider)` Defines the parameter name provider implementation used by the `Validator`.
    `ValidatorContext` | `traversableResolver(TraversableResolver traversableResolver)` Defines the traversable resolver implementation used by the `Validator`.

- - ### Method Detail

    - #### messageInterpolator

          ValidatorContext messageInterpolator(MessageInterpolator messageInterpolator)

      Defines the message interpolator implementation used by the `Validator`.

      If not set or if `null` is passed as a parameter, the message interpolator of the `ValidatorFactory` is used.
      Parameters:
        `messageInterpolator` - the `MessageInterpolator` used by the `Validator`
      Returns:
        self following the chaining method pattern

    - #### traversableResolver

          ValidatorContext traversableResolver(TraversableResolver traversableResolver)

      Defines the traversable resolver implementation used by the `Validator`.

      If not set or if `null` is passed as a parameter, the traversable resolver of the `ValidatorFactory` is used.
      Parameters:
        `traversableResolver` - the `TraversableResolver` used by the `Validator`
      Returns:
        self following the chaining method pattern

    - #### constraintValidatorFactory

          ValidatorContext constraintValidatorFactory(ConstraintValidatorFactory factory)

      Defines the constraint validator factory implementation used by the `Validator`. If not set or if `null` is passed as a parameter, the constraint validator factory of the `ValidatorFactory` is used.
      Parameters:
        `factory` - the `ConstraintValidatorFactory` used by the `Validator`
      Returns:
        self following the chaining method pattern

    - #### parameterNameProvider

          ValidatorContext parameterNameProvider(ParameterNameProvider parameterNameProvider)

      Defines the parameter name provider implementation used by the `Validator`. If not set or if `null` is passed as a parameter, the parameter name provider of the `ValidatorFactory` is used.
      Parameters:
        `parameterNameProvider` - parameter name provider implementation.
      Returns:
        self following the chaining method pattern
      Since:
        1.1

    - #### getValidator

          Validator getValidator()

      Returns an initialized `Validator` instance respecting the defined state. `Validator` instances can be pooled and shared by the implementation.
      Returns:
        contextualized `Validator`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.